Vaultz Capital Plc
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
How to call
Request format
GET
curl -X GET "https://newhedge.io/api/v2/companies/vaultz-capital-plc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params
api_token (required) — 24 character token.
Path params
:metric_name — one of the company metric names listed below.
Responses
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Metric
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
Endpoint
https://newhedge.io/api/v2/companies/vaultz-capital-plc/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
{
"date": 1753056000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/btcNLNico/status/1947178039281881454?t=ewmyJywUIsAfWnsmi7Agbw&s=19",
"holding_balance": 70.0,
"holding_net_change": 20.0,
"transaction_value_usd": 2387600.0,
"average_entry_value_usd": 119380.0,
"transaction_value_calculated": false
},
{
"date": 1754438400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/btcNLNico/status/1952974571864236288?t=gCIveComRb0h3Urn3iWlcw&s=19",
"holding_balance": 117.8,
"holding_net_change": 47.85,
"transaction_value_usd": 5683027.0,
"average_entry_value_usd": 118767.54,
"transaction_value_calculated": false
},
{
"date": 1755043200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/V3TC_21/status/1955582541685244133",
"holding_balance": 135.0,
"holding_net_change": 17.15,
"transaction_value_usd": 2063265.0,
"average_entry_value_usd": 120307.0,
"transaction_value_calculated": false
}
]
Metric
Bitcoin Holdings
Historical Bitcoin holdings for the company.
Endpoint
https://newhedge.io/api/v2/companies/vaultz-capital-plc/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
135.0
],
[
1789257600000,
135.0
],
[
1789344000000,
135.0
]
]
Metric
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
Endpoint
https://newhedge.io/api/v2/companies/vaultz-capital-plc/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
[
[
1789171200000,
10425894.75
],
[
1789257600000,
10429010.55
],
[
1789344000000,
10369101.6
]
]
Metric
Treasury Metrics
Bitcoin treasury summary metrics for the company.
Endpoint
https://newhedge.io/api/v2/companies/vaultz-capital-plc/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
Sample response
200
Successful response
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.001,
"share_price_change_state": "down"
}
Not available for this company
price-data(Price Data) returns 404{"error":"Data unavailable for this company"}company-data(Company Data) returns 404{"error":"Data unavailable for this company"}performance-metrics(Performance Metrics) returns 404{"error":"Data unavailable for this company"}